## visad.data.amanda
Class FitTrack

    java.lang.Object
      visad.data.amanda.BaseTrack
          visad.data.amanda.FitTrack

All Implemented Interfaces:
  Comparable

public class FitTrack
extends BaseTrack

Field Summary

Fields inherited from class visad.data.amanda.BaseTrack
`functionType, indexType, missing, timeSequenceType`

Constructor Summary
`(package private)` `FitTrack(float xstart, float ystart, float zstart, float zenith, float azimuth, float length, float energy, float time)`

Method Summary
`(package private) FlatField` `makeData()`

Methods inherited from class visad.data.amanda.BaseTrack
`compareTo, compareTo, computeSamples, equals, getEnergy, getLength, getXMax, getXMin, getYMax, getYMin, getZMax, getZMin, makeData, makeTimeSequence, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FitTrack

    FitTrack(float xstart,
             float ystart,
             float zstart,
             float zenith,
             float azimuth,
             float length,
             float energy,
             float time)

Method Detail

### makeData

    final FlatField makeData()
                      throws VisADException

  Specified by:
    `makeData` in class `BaseTrack`
  Throws:
    `VisADException`